import { NgModule } from '@angular/core';
import { Route, RouterModule } from '@angular/router';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatTabsModule } from '@angular/material/tabs';
import { MatInputModule } from '@angular/material/input';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSelectModule } from '@angular/material/select';

import { FuseCardModule } from '@fuse/components/card';
import { SharedModule } from 'app/shared/shared.module';

import { GameMainComponent } from 'app/modules/game/main/main.component';

import { FuseAlertModule } from '@fuse/components/alert';

import { COMPOSE } from './compose';

const mainRoutes: Route[] = [
  {
    path: '',
    component: GameMainComponent,
  },
];

@NgModule({
  declarations: [GameMainComponent, COMPOSE],
  imports: [
    RouterModule.forChild(mainRoutes),
    MatButtonModule,
    MatIconModule,
    MatFormFieldModule,
    MatTabsModule,
    MatInputModule,
    MatDialogModule,
    MatSelectModule,
    FuseCardModule,
    SharedModule,

    FuseAlertModule,
  ],
})
export class GameMainModule {}
